Skip to main content
GET
/
v1
/
teams
/
{team_id}
/
notifications
/
{notification_id}
Get Notification Config
curl --request GET \
  --url https://api.dataraven.io/v1/teams/{team_id}/notifications/{notification_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "event_type": "<string>",
  "event_filters": {},
  "message_template": "<string>",
  "is_enabled": true,
  "apprise_vault_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by_email": "<string>",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by_email": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required
notification_id
string<uuid>
required

Response

Successful Response

Schema for detailed notification config response with user email resolution.

id
string<uuid>
required
team_id
string<uuid>
required
name
string
required
event_type
string
required
event_filters
Event Filters · object
required
message_template
string | null
required
is_enabled
boolean
required
apprise_vault_secret_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string<uuid> | null
created_by_email
string | null

Email of user who created this notification

updated_by
string<uuid> | null

User who last updated this notification

updated_by_email
string | null

Email of user who last updated this notification